## kdeclarative 5.107.0

=== debian/changelog ===
kdeclarative (5.107.0-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.12.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 19 Jul 2015 02:00:18 +0000]
  * Add symbols file hack for raspbian.

  [changes introduced in version 5.27.0-1+rpi1 by Peter Michael Green]
  * Disable testsuite.

  [changes introduced in version 5.96.0-3+rpi1 by Peter Michael Green]
  * Extend symbols file hack.

  [changes introduced in version 5.98.0-2+rpi1 by Peter Michael Green]
  * Further extend and fix symbols file hack.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 28 Oct 2023 05:03:51 +0000

kdeclarative (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:44 +0200

=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               libepoxy-dev,
               libkf5config-dev (>= 5.107.0~),
               libkf5globalaccel-dev (>= 5.107.0~),
               libkf5guiaddons-dev (>= 5.107.0~),
               libkf5i18n-dev (>= 5.107.0~),
               libkf5iconthemes-dev (>= 5.107.0~),
               libkf5kio-dev (>= 5.107.0~),
               libkf5notifications-dev (>= 5.107.0~),
               libkf5package-dev (>= 5.107.0~),
               libkf5widgetsaddons-dev (>= 5.107.0~),
               libkf5windowsystem-dev (>= 5.107.0~),
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qml-module-qtquick2,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kdeclarative
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git
Rules-Requires-Root: no

Package: kpackagelauncherqml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).
Breaks: kirigami-gallery (<< 5.49),

Package: libkf5calendarevents5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-framework (<< 5.54),
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio

Package: libkf5declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: libkf5declarative-dev
Section: libdevel
Architecture: any
Depends: libkf5calendarevents5 (= ${binary:Version}),
         libkf5declarative5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.107.0~),
         libkf5package-dev (>= 5.107.0~),
         libkf5quickaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         qtdeclarative5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5declarative-doc (= ${source:Version}),
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5declarative5
Architecture: any
Multi-Arch: same
Depends: libkf5declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.54),
        plasma-framework (<< 5.54),
Recommends: kpackagelauncherqml,
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5quickaddons5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks -- quickaddons
 Framework providing optimized image texture caching.
Breaks: libkf5kcmutils5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        plasma-framework (<< 5.54),

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-graphicaleffects
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - graphicaleffects
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kcm
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kcm
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kconfig
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kconfig
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.
Breaks: plasma-framework (<< 5.54),

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kio
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.54),
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5purpose-bin (<< 5.54),
        libkf5purpose5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kirigami2 (<< 5.44),
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kwindowsystem
Architecture: any
Multi-Arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kwindowsystem
 Provides access from QML to libkf5windowsystem classes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@

override_dh_auto_build:
	sed -i s/arch=!armel/optional=meh/ debian/*.symbols
	sed -i 's/arch=alpha amd64 arm64 armhf hppa i386 mips64el mipsel powerpc ppc64 ppc64el s390x sh4/optional=meh2/' debian/*.symbols
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	sed -i 's/optional=meh2/arch=alpha amd64 arm64 armhf hppa i386 mips64el mipsel powerpc ppc64 ppc64el s390x sh4/' debian/*.symbols
	sed -i s/optional=meh/arch=!armel/ debian/*.symbols

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	#xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## kdeclarative 5.109.0

=== debian/changelog ===
kdeclarative (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:48:14 +0100

kdeclarative (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:18:51 +0100

kdeclarative (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:38 +0100

kdeclarative (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:44:34 +0100

kdeclarative (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:31 +0000

kdeclarative (5.103.0-0ubuntu2) lunar; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 15:42:44 +0000

kdeclarative (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:26 +0000

kdeclarative (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:13 +0000

kdeclarative (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:33 +0000

kdeclarative (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:06 +0000

kdeclarative (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
-               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
+               extra-cmake-modules (>= 5.109.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.107.0~),
-               libkf5globalaccel-dev (>= 5.107.0~),
-               libkf5guiaddons-dev (>= 5.107.0~),
-               libkf5i18n-dev (>= 5.107.0~),
-               libkf5iconthemes-dev (>= 5.107.0~),
-               libkf5kio-dev (>= 5.107.0~),
-               libkf5notifications-dev (>= 5.107.0~),
-               libkf5package-dev (>= 5.107.0~),
-               libkf5widgetsaddons-dev (>= 5.107.0~),
-               libkf5windowsystem-dev (>= 5.107.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5globalaccel-dev (>= 5.109.0~),
+               libkf5guiaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5iconthemes-dev (>= 5.109.0~),
+               libkf5kio-dev (>= 5.109.0~),
+               libkf5notifications-dev (>= 5.109.0~),
+               libkf5package-dev (>= 5.109.0~),
+               libkf5widgetsaddons-dev (>= 5.109.0~),
+               libkf5windowsystem-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -28,26 +27,26 @@
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.6.2
+               xauth,
+               xvfb,
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
 Rules-Requires-Root: no
 
 Package: kpackagelauncherqml
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: commandline tool for launching kpackage QML application
  A small commandline tool to launch KPackages (QML applications).
-Breaks: kirigami-gallery (<< 5.49),
+Breaks: kirigami-gallery (<< 5.49)
 
 Package: libkf5calendarevents5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: plasma-framework (<< 5.54),
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: plasma-framework (<< 5.54)
 Description: provides integration of QML and KDE frameworks -- calendarevents
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio
@@ -55,7 +54,7 @@
 Package: libkf5declarative-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: provides integration of QML and KDE frameworks
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -67,13 +66,13 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.107.0~),
-         libkf5package-dev (>= 5.107.0~),
+         libkf5kio-dev (>= 5.109.0~),
+         libkf5package-dev (>= 5.109.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5declarative-doc (= ${source:Version}),
+Recommends: libkf5declarative-doc (= ${source:Version})
 Description: development files for kdeclarative
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -83,7 +82,7 @@
 Package: libkf5declarative-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: provides integration of QML and KDE frameworks (documentation)
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -100,7 +99,7 @@
 Breaks: libkf5plasma5 (<< 5.42),
         libkf5plasmaquick5 (<< 5.54),
         plasma-framework (<< 5.54),
-Recommends: kpackagelauncherqml,
+Recommends: kpackagelauncherqml
 Description: provides integration of QML and KDE frameworks
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -108,7 +107,7 @@
 Package: libkf5quickaddons5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: provides integration of QML and KDE frameworks -- quickaddons
  Framework providing optimized image texture caching.
 Breaks: libkf5kcmutils5 (<< 5.54),
@@ -126,7 +125,7 @@
 
 Package: qml-module-org-kde-graphicaleffects
 Architecture: any
-Multi-Arch: same
+Multi-arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -160,7 +159,7 @@
  Controls.
  .
  This package contains the QML files used by libkf5declarative.
-Breaks: plasma-framework (<< 5.54),
+Breaks: plasma-framework (<< 5.54)
 
 Package: qml-module-org-kde-kcoreaddons
 Architecture: any
@@ -193,7 +192,7 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-framework (<< 5.54),
+Breaks: plasma-framework (<< 5.54)
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kdeclarative 5.110.0

=== debian/changelog ===
kdeclarative (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:05:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.109.0~),
-               libkf5globalaccel-dev (>= 5.109.0~),
-               libkf5guiaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5iconthemes-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
-               libkf5notifications-dev (>= 5.109.0~),
-               libkf5package-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5globalaccel-dev (>= 5.110.0~),
+               libkf5guiaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5iconthemes-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5notifications-dev (>= 5.110.0~),
+               libkf5package-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -66,8 +66,8 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.109.0~),
-         libkf5package-dev (>= 5.109.0~),
+         libkf5kio-dev (>= 5.110.0~),
+         libkf5package-dev (>= 5.110.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),

## kdeclarative 5.113.0

=== debian/changelog ===
kdeclarative (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:22 +0000

kdeclarative (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:47:12 +0000

kdeclarative (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:51 +0000

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.110.0~),
-               libkf5globalaccel-dev (>= 5.110.0~),
-               libkf5guiaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5iconthemes-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
-               libkf5notifications-dev (>= 5.110.0~),
-               libkf5package-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5windowsystem-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5globalaccel-dev (>= 5.113.0~),
+               libkf5guiaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5iconthemes-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
+               libkf5notifications-dev (>= 5.113.0~),
+               libkf5package-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5windowsystem-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -66,8 +66,8 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.110.0~),
-         libkf5package-dev (>= 5.110.0~),
+         libkf5kio-dev (>= 5.113.0~),
+         libkf5package-dev (>= 5.113.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),

## kdeclarative 5.115.0

=== src/CMakeLists.txt ===
if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
    add_subdirectory(kdeclarative)
endif()

add_subdirectory(quickaddons)
add_subdirectory(qmlcontrols)
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.98.0)
    add_subdirectory(kpackagelauncherqml)
endif()
add_subdirectory(calendarevents)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Declarative_QCH
        NAME KDeclarative
        BASE_NAME KF5Declarative
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KQuickAddons_QCH_SOURCES}
            ${KDeclarative_QCH_SOURCES}
            ${CalendarEvents_QCH_SOURCES}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Qml_QCH
            KF5Config_QCH
            KF5Package_QCH
        INCLUDE_DIRS
            ${KQuickAddons_QCH_INCLUDE_DIRS}
            ${KDeclarative_QCH_INCLUDE_DIRS}
            ${CalendarEvents_QCH_INCLUDE_DIRS}
        BLANK_MACROS
            KDECLARATIVE_EXPORT
            KDECLARATIVE_DEPRECATED
            KDECLARATIVE_DEPRECATED_EXPORT
            "KDECLARATIVE_DEPRECATED_VERSION(x, y, t)"
            "KDECLARATIVE_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            QUICKADDONS_EXPORT
            QUICKADDONS_DEPRECATED
            QUICKADDONS_DEPRECATED_EXPORT
            "QUICKADDONS_DEPRECATED_VERSION(x, y, t)"
            CALENDAREVENTS_EXPORT
            "CALENDAREVENTS_DEPRECATED_VERSION(x, y, t)"
            "CALENDAREVENTS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== tests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)

add_executable(kdeclarativetest kdeclarativetest.cpp)

target_include_directories(kdeclarativetest
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/../src
    ${CMAKE_CURRENT_BINARY_DIR}/..
)

ecm_mark_as_test(kdeclarativetest)
target_link_libraries(kdeclarativetest
   Qt${QT_MAJOR_VERSION}::Quick
   Qt${QT_MAJOR_VERSION}::Test
   KF5::I18n
)


add_executable(qimageitemtest qimageitemtest.cpp)

ecm_mark_as_test(qimageitemtest)
target_link_libraries(qimageitemtest
   Qt${QT_MAJOR_VERSION}::Quick
   Qt${QT_MAJOR_VERSION}::Test
)

if (BUILD_EXAMPLES)
    kpackage_install_package(helloworld org.kde.example.helloworld genericqml)
    kpackage_install_package(helloworldnowindow org.kde.example.helloworldnowindow genericqml)
endif()

=== src/qmlcontrols/kquickcontrolsaddons/CMakeLists.txt ===
configure_file(config-kquickcontrolsaddons.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kquickcontrolsaddons.h)

set(kquickcontrolsaddons_SRCS
    clipboard.cpp
    clipboard.h
    columnproxymodel.cpp
    columnproxymodel.h
    eventgenerator.cpp
    eventgenerator.h
    fallbacktaphandler.cpp
    fallbacktaphandler.h
    icondialog.cpp
    icondialog.h
    kcmshell.cpp
    kcmshell.h
    kquickcontrolsaddonsplugin.cpp
    kquickcontrolsaddonsplugin.h
    mimedatabase.cpp
    mimedatabase.h
    mouseeventlistener.cpp
    mouseeventlistener.h
    qiconitem.cpp
    qiconitem.h
    qimageitem.cpp
    qimageitem.h
    qpixmapitem.cpp
    qpixmapitem.h

)

add_library(kquickcontrolsaddonsplugin ${kquickcontrolsaddons_SRCS})

target_link_libraries(kquickcontrolsaddonsplugin
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Quick
        Qt${QT_MAJOR_VERSION}::Qml
        Qt${QT_MAJOR_VERSION}::Gui
        KF5::IconThemes
        KF5::KIOWidgets
        KF5::QuickAddons
        KF5::ConfigCore)

if (HAVE_EPOXY)
    target_sources(kquickcontrolsaddonsplugin PRIVATE plotter.cpp plotter.h)
    target_link_libraries(kquickcontrolsaddonsplugin epoxy::epoxy)
endif()

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(kquickcontrolsaddonsplugin PROPERTIES PREFIX "")
endif()

install(TARGETS kquickcontrolsaddonsplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickcontrolsaddons)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kquickcontrolsaddons)

=== src/qmlcontrols/kquickcontrols/private/CMakeLists.txt ===
set(kquickcontrolsprivate_SRCS
    keysequencehelper.cpp
    keysequencehelper.h
    kquickcontrolsprivateplugin.cpp
    kquickcontrolsprivateplugin.h
    translationcontext.cpp
    translationcontext.h

)

add_library(kquickcontrolsprivateplugin ${kquickcontrolsprivate_SRCS})

target_link_libraries(kquickcontrolsprivateplugin
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Quick
        Qt${QT_MAJOR_VERSION}::Qml
        KF5::I18n
        KF5::ConfigGui
        KF5::GuiAddons
        KF5::WidgetsAddons
        KF5::WindowSystem
        )

if (NOT WIN32)
    target_link_libraries(kquickcontrolsprivateplugin KF5::GlobalAccel)
endif()

if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(kquickcontrolsprivateplugin PROPERTIES PREFIX "")
endif()

install(TARGETS kquickcontrolsprivateplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/private/kquickcontrols)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/private/kquickcontrols)

=== debian/changelog ===
kdeclarative (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:30:18 +0000

kdeclarative (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:49:54 +0000

kdeclarative (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:50:57 -0700

kdeclarative (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:08:32 -0700

kdeclarative (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:46:53 -0700

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.113.0~),
-               libkf5globalaccel-dev (>= 5.113.0~),
-               libkf5guiaddons-dev (>= 5.113.0~),
-               libkf5i18n-dev (>= 5.113.0~),
-               libkf5iconthemes-dev (>= 5.113.0~),
-               libkf5kio-dev (>= 5.113.0~),
-               libkf5notifications-dev (>= 5.113.0~),
-               libkf5package-dev (>= 5.113.0~),
-               libkf5widgetsaddons-dev (>= 5.113.0~),
-               libkf5windowsystem-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.115.0~),
+               libkf5globalaccel-dev (>= 5.115.0~),
+               libkf5guiaddons-dev (>= 5.115.0~),
+               libkf5i18n-dev (>= 5.115.0~),
+               libkf5iconthemes-dev (>= 5.115.0~),
+               libkf5kio-dev (>= 5.115.0~),
+               libkf5notifications-dev (>= 5.115.0~),
+               libkf5package-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.115.0~),
+               libkf5windowsystem-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -66,8 +66,8 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.113.0~),
-         libkf5package-dev (>= 5.113.0~),
+         libkf5kio-dev (>= 5.115.0~),
+         libkf5package-dev (>= 5.115.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdeclarative 5.116.0

=== src/calendarevents/CMakeLists.txt ===
set(calendar-integration_SRCS
    calendareventsplugin.cpp
    calendareventsplugin.h
    eventdata_p.cpp
)

add_library(KF5CalendarEvents ${calendar-integration_SRCS})
add_library(KF5::CalendarEvents ALIAS KF5CalendarEvents)

ecm_generate_export_header(KF5CalendarEvents
    BASE_NAME CalendarEvents
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.106
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF5CalendarEvents PUBLIC Qt${QT_MAJOR_VERSION}::Core)

target_include_directories(KF5CalendarEvents INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative>")
set_target_properties(KF5CalendarEvents PROPERTIES VERSION ${KDECLARATIVE_VERSION}
                                                SOVERSION ${KDECLARATIVE_SOVERSION}
                                                EXPORT_NAME CalendarEvents
)

install(TARGETS KF5CalendarEvents EXPORT KF5DeclarativeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(CalendarEvents_CamelCase_HEADERS
  HEADER_NAMES
  CalendarEventsPlugin

  PREFIX CalendarEvents
  REQUIRED_HEADERS CalendarEvents_HEADERS
)
install(FILES ${CalendarEvents_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/CalendarEvents COMPONENT Devel)

install (FILES
        ${CalendarEvents_HEADERS}
	${CMAKE_CURRENT_BINARY_DIR}/calendarevents_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/calendarevents COMPONENT Devel
)

# make available to ecm_add_qch in parent folder
set(CalendarEvents_QCH_SOURCES ${CalendarEvents_HEADERS} PARENT_SCOPE)
set(CalendarEvents_QCH_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR} PARENT_SCOPE)

=== src/quickaddons/CMakeLists.txt ===
set(KF5QuickAddons_LIB_SRCS
    configmodule.cpp
    configmodule.h
    imagetexturescache.cpp
    imagetexturescache.h
    managedconfigmodule.cpp
    managedconfigmodule.h
    managedtexturenode.cpp
    managedtexturenode.h
    qtquicksettings.cpp
    qtquicksettings.h
    quickviewsharedengine.cpp
    quickviewsharedengine.h)
kconfig_add_kcfg_files(KF5QuickAddons_LIB_SRCS renderersettings.kcfgc)

add_library(KF5QuickAddons ${KF5QuickAddons_LIB_SRCS})

ecm_generate_export_header(KF5QuickAddons
    EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/quickaddons_export.h
    BASE_NAME QuickAddons
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.88 5.93 5.104
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

add_library(KF5::QuickAddons ALIAS KF5QuickAddons)

# Apps must include <KQuickAddons/File> or <kquickaddons/file.h>
target_include_directories(KF5QuickAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative>"
                                          PUBLIC "$<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>" # for kdeclarative/kdeclarative_export.h
)

target_link_libraries(KF5QuickAddons
  PUBLIC
    Qt${QT_MAJOR_VERSION}::Quick
    KF5::CoreAddons
  PRIVATE
    KF5::I18n
    KF5::Declarative
    KF5::ConfigGui
)
if (ANDROID)
    target_link_libraries(KF5QuickAddons PRIVATE GLESv3)
endif()

set_target_properties(KF5QuickAddons
  PROPERTIES VERSION ${KDECLARATIVE_VERSION}
  SOVERSION ${KDECLARATIVE_SOVERSION}
  EXPORT_NAME QuickAddons
)

# Install files
#those are deprecated, offered just for compatibility
ecm_generate_headers(QuickAddons_CamelCase_HEADERS
  HEADER_NAMES
  ImageTexturesCache
  ManagedTextureNode
  PREFIX QuickAddons
  REQUIRED_HEADERS QuickAddons_HEADERS
)
install(FILES ${QuickAddons_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/QuickAddons COMPONENT Devel)

# Install files
ecm_generate_headers(KQuickAddons_CamelCase_HEADERS
  HEADER_NAMES
  ImageTexturesCache
  ManagedTextureNode
  QtQuickSettings
  ConfigModule
  ManagedConfigModule
  QuickViewSharedEngine

  PREFIX KQuickAddons
  REQUIRED_HEADERS KQuickAddons_HEADERS
)
install(FILES ${KQuickAddons_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/KQuickAddons COMPONENT Devel)

install(TARGETS KF5QuickAddons
  EXPORT KF5DeclarativeTargets
  ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/quickaddons_export.h
  ${QuickAddons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/quickaddons
  COMPONENT Devel
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/quickaddons_export.h
  ${KQuickAddons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative/kquickaddons
  COMPONENT Devel
)

# make available to ecm_add_qch in parent folder
set(KQuickAddons_QCH_SOURCES ${KQuickAddons_HEADERS} PARENT_SCOPE)
set(KQuickAddons_QCH_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR} PARENT_SCOPE)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME QuickAddons LIB_NAME KF5QuickAddons DEPS "qml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/QuickAddons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kdeclarative (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:43:06 +0200

kdeclarative (5.115.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:08 +0200

kdeclarative (5.115.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Apr 2024 22:09:11 +0200

kdeclarative (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Enable LTO (Closes: #1015443).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,52 +1,54 @@
 Source: kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.115.0~),
-               libkf5globalaccel-dev (>= 5.115.0~),
-               libkf5guiaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5iconthemes-dev (>= 5.115.0~),
-               libkf5kio-dev (>= 5.115.0~),
-               libkf5notifications-dev (>= 5.115.0~),
-               libkf5package-dev (>= 5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
-               libkf5windowsystem-dev (>= 5.115.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5globalaccel-dev (>= 5.116.0~),
+               libkf5guiaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5iconthemes-dev (>= 5.116.0~),
+               libkf5kio-dev (>= 5.116.0~),
+               libkf5notifications-dev (>= 5.116.0~),
+               libkf5package-dev (>= 5.116.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
+               libkf5windowsystem-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
-               pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkgconf,
                qml-module-qtquick2,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-               xauth,
-               xvfb,
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git
 Rules-Requires-Root: no
 
 Package: kpackagelauncherqml
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: commandline tool for launching kpackage QML application
  A small commandline tool to launch KPackages (QML applications).
-Breaks: kirigami-gallery (<< 5.49)
+Breaks: kirigami-gallery (<< 5.49),
 
 Package: libkf5calendarevents5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: plasma-framework (<< 5.54)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-framework (<< 5.54),
 Description: provides integration of QML and KDE frameworks -- calendarevents
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio
@@ -54,7 +56,7 @@
 Package: libkf5declarative-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: provides integration of QML and KDE frameworks
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -66,13 +68,13 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.115.0~),
-         libkf5package-dev (>= 5.115.0~),
+         libkf5kio-dev (>= 5.116.0~),
+         libkf5package-dev (>= 5.116.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5declarative-doc (= ${source:Version})
+Recommends: libkf5declarative-doc (= ${source:Version}),
 Description: development files for kdeclarative
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -82,7 +84,7 @@
 Package: libkf5declarative-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: provides integration of QML and KDE frameworks (documentation)
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -99,7 +101,7 @@
 Breaks: libkf5plasma5 (<< 5.42),
         libkf5plasmaquick5 (<< 5.54),
         plasma-framework (<< 5.54),
-Recommends: kpackagelauncherqml
+Recommends: kpackagelauncherqml,
 Description: provides integration of QML and KDE frameworks
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -107,7 +109,7 @@
 Package: libkf5quickaddons5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks -- quickaddons
  Framework providing optimized image texture caching.
 Breaks: libkf5kcmutils5 (<< 5.54),
@@ -125,7 +127,7 @@
 
 Package: qml-module-org-kde-graphicaleffects
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -159,7 +161,7 @@
  Controls.
  .
  This package contains the QML files used by libkf5declarative.
-Breaks: plasma-framework (<< 5.54)
+Breaks: plasma-framework (<< 5.54),
 
 Package: qml-module-org-kde-kcoreaddons
 Architecture: any
@@ -192,7 +194,7 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-framework (<< 5.54)
+Breaks: plasma-framework (<< 5.54),
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kdeclarative-([\d.]+)\.tar\.xz

## kdeclarative 5.116.0+p24.04+vstable+git20250824.0926

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20250824.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 09:26:46 +0000

kdeclarative (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:38:20 +1000

kdeclarative (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:22:59 +0000

kdeclarative (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:17:38 +0000

kdeclarative (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:58:34 +0000

kdeclarative (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:40:22 +0000

kdeclarative (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 16:40:32 +0000

kdeclarative (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:21:39 +0000

kdeclarative (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 04:57:32 +0000

kdeclarative (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:05:23 +0000

kdeclarative (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:33:56 +0000

kdeclarative (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:51:47 +0000

kdeclarative (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:48:38 +0000

## kdeclarative 5.116.0+p24.04+vstable+git20250831.2322

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20250831.2322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:22:57 +0000
